org.apache.lucene.search

## Class TermQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.TermQuery

-     public class TermQuery
      extends Query

  A Query that matches documents containing a term. This may be combined with other terms with a `BooleanQuery`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermQuery(Term t)` Constructs a query for the term `t`.
    `TermQuery(Term t, TermStates states)` Expert: constructs a TermQuery that will use the provided docFreq instead of looking up the docFreq against the searcher.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Weight` | `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)` Expert: Constructs an appropriate Weight implementation for this query.
    `boolean` | `equals(Object other)` Returns true iff `other` is equal to `this`.
    `Term` | `getTerm()` Returns the term of this query.
    `TermStates` | `getTermStates()` Returns the `TermStates` passed to the constructor, or null if it was not passed.
    `int` | `hashCode()` Override and implement query hash code properly in a subclass.
    `String` | `toString(String field)` Prints a user-readable version of this query.
    `void` | `visit(QueryVisitor visitor)` Recurse through the query tree, visiting any child queries

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, rewrite, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TermQuery

          public TermQuery(Term t)

      Constructs a query for the term `t`.

    - #### TermQuery

          public TermQuery(Term t,
                           TermStates states)

      Expert: constructs a TermQuery that will use the provided docFreq instead of looking up the docFreq against the searcher.

  - ### Method Detail

    - #### getTerm

          public Term getTerm()

      Returns the term of this query.

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                                     ScoreMode scoreMode,
                                     float boost)
                              throws IOException

      Description copied from class: `Query`
      Expert: Constructs an appropriate Weight implementation for this query.

      Only implemented by primitive queries, which re-write to themselves.

      Overrides:
        `createWeight` in class `Query`
        `scoreMode` - How the produced scorers will be consumed.
        `boost` - The boost that is propagated by the parent queries.
      Throws:
        `IOException`

    - #### visit

          public void visit(QueryVisitor visitor)

      Description copied from class: `Query`
      Recurse through the query tree, visiting any child queries
      Overrides:
        `visit` in class `Query`
      Parameters:
        `visitor` - a QueryVisitor to be called by each query in the tree

    - #### toString

          public String toString(String field)

      Prints a user-readable version of this query.
      Specified by:
        `toString` in class `Query`

    - #### getTermStates

          public TermStates getTermStates()

      Returns the `TermStates` passed to the constructor, or null if it was not passed.
      WARNING: This API is experimental and might change in incompatible ways in the next release.

    - #### equals

          public boolean equals(Object other)

      Returns true iff `other` is equal to `this`.
      Specified by:
        `equals` in class `Query`
      See Also:
        `Query.sameClassAs(Object)`, `Query.classHash()`

    - #### hashCode

          public int hashCode()

      Description copied from class: `Query`
      Override and implement query hash code properly in a subclass. This is required so that `QueryCache` works properly.
      Specified by:
        `hashCode` in class `Query`
      See Also:
        `Query.equals(Object)`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.